{
  "type": "minecraft:crafting_shaped",
  "pattern": [
    "DDD",
    "DRD",
    "DGD"
  ],
  "key": {
    "G": {
      "item": "minecraft:furnace"
    },
    "D": {
      "tag": "forge:dirt"
    },
    "R": {
      "item": "minecraft:redstone"
    }
  },
  "result": {
    "item": "generatorgalore:dirt_generator"
  }
}